{incompatibility} is for questions about packages and document classes that are not compatible with each other or that need to be loaded in a specific order.

learn more… | top users | synonyms (1)

2
votes
1answer
62 views

Why does leftidx not work in a figure caption?

I use the leftidx package to get left subscripts typeset acceptably, however, when I tried to use the \leftidx command within a figure caption (\caption) command I get errors compiling. Here is a MWE: ...
2
votes
0answers
156 views

hyperref, babel and subequations conflict [closed]

I am trying to use subequations in a document. Playing around with my preamble I found out that if I use babel and hyperref package at the same time, a fatal error is occured and no .pdf is produced. ...
14
votes
1answer
1k views

How to use polyglossia with biblatex?

Using polyglossia and biblatex together leads to an error: ! Package biblatex Error: Patching 'babel' package failed. See the biblatex package documentation for explanation. Type H <return> ...
6
votes
1answer
91 views

How to make tipa compatible with braket?

The following minimal working example generates an error if you remove the per cent sign. \documentclass{amsart} %\usepackage{tipa} \usepackage{braket} \begin{document} \[ \Set{x|y} \] \end{document} ...
2
votes
1answer
1k views

Using mathabx and MnSymbol in the same document

I'm not a computer expert, so when I simply include the lines \include{mathabx, MnSymbol} in a .tex file, compile it, and it gives me a bunch of errors, I don't know what to do... I'm running ...
2
votes
2answers
2k views

Export Graphs from OriginPro with LaTeX Typesetting

I've looked online for an answer to my question, but I was wondering if it's possible to export graphs from OriginPro for inclusion into a LaTeX document using LaTeX typesetting? I'm using PDFLaTeX ...
3
votes
1answer
531 views

Incompatibility between memoir and appendix package option titletoc

I'm trying to get "Appendix A" instead of just "A" for my appendix in the table of contents, and one solution to this seems to be \usepackage[titletox]{appendix}. However, it doesn't work with memoir. ...
3
votes
2answers
141 views

Titlesec and Babel incompatibility?

I cannot find a way to change chapter style with babel included (for hungarian language). Here is the example: \documentclass[a4paper]{report} \usepackage[magyar]{babel} \usepackage{titlesec} ...
4
votes
1answer
78 views

Clash between alltt and semantic and minus sign

Why does this code... \documentclass{article} \usepackage{alltt} \usepackage{semantic} \begin{document} \begin{alltt} \(x-y\) \end{alltt} \end{document} ...give this error? ERROR: TeX capacity ...
3
votes
1answer
382 views

Package conflict when using the combine document class

The following code demonstrates two types of errors, which I think are fundamentally the same. The code should format as is; now remove the % in front of \usepackage{semantic}. Reformatting fails to ...
7
votes
1answer
161 views

(Nonfatal but Symptomatic) Conflict of amsmath and mathstyle Packages

This was brought to my attention by our colleague, Lover of Structure, but since it affects my scalerel package (which began using the mathstyle package to detect the current math style, as of version ...
4
votes
1answer
172 views

revtex incompatible with dblfloatfix?

This minimal example makes my latex/pdflatex from MiKTeX (or TeX Live of a colleague) crash: \documentclass{revtex4-1} \usepackage{dblfloatfix} \begin{document} Hello World! \begin{figure} ...
1
vote
0answers
231 views

Conflicting commands in preamble [closed]

I am using the class IEEEtran for writing a journal. I have two conflicting commands in my preamble. The first command has been used by me for some time, though I have no idea why it should be there. ...
8
votes
1answer
194 views

How to disable \renewcommand

I've got a custom class derived from report. I defined some standard commands inside of it to reflect its specific, so they look like: \newcommand\contentsname{Custom Content} ...
5
votes
2answers
320 views

Conflict between ifxetex and ucs under pdflatex/xelatex - why?

I use TexLive 2012 (on Mac) and the following minimal example does not work: \documentclass{article} \usepackage{ifxetex} \usepackage[mathletters]{ucs} % Need newline here! \ifxetex \else \fi ...
11
votes
2answers
447 views

How to undo \usepackage?

I would like to use two packages which conflict with each others. I hope I can apply them separately whenever I need and then cancel them so as to solve the problem. Is it possible? For example, I ...
8
votes
2answers
457 views

Chemfig package compatibility

Looking for help on the following problem: I am trying to use chemfig package in my document, however after initial insertion had the following error: !No room for a new \dimen. I found No room ...
3
votes
3answers
493 views

enumitem conflict with french babel

The following crashes with the error: ! LaTeX Error: Something's wrong--perhaps a missing \item. \documentclass[]{article} \usepackage[francais]{babel} \usepackage{enumitem} \begin{document} ...
4
votes
1answer
93 views

Concatenating book chapters at the PDF level

There are some LaTeX packages which conflict with each other. When assembling a book from different chapters provided by different contributors, it might be not too easy to resolve these conflicts. In ...
3
votes
1answer
650 views

Dashed hline in longtabu (arydshln conflicts, does not work?)

I have a large table with the following requirements: Spans multiple pages (currently using longtable) The last column's text must wrap (using tabu's longtabu environment as tabularx does not ...
3
votes
2answers
140 views

Babel spanish option and fancyvrb incompatibility

The following MWE compiles without problems \documentclass{article} \usepackage[english]{babel} \usepackage{amsmath} \usepackage{fancyvrb} \begin{document} \SaveVerb{x>y}|x > y| ...
3
votes
2answers
100 views

Use of \GetIdInfoAuxI doesn't match its definition and other errors

I have several errors reported with this minimal example (latest TeX Live 2012). The errors were introduced with recent TeX Live updates. \RequirePackage[l2tabu, orthodox]{nag} ...
8
votes
1answer
292 views

Loading index package with memoir

The standard makeidx package writes ind/idx in LaTeX's internal representation file. The index package writes in utf-8 and works fine with the book, article, report standard classes. But when trying ...
1
vote
0answers
247 views

glossaries vs hyperref conflict [closed]

I'm writing my thesis and I'm having some trouble with the package glossaries and some strange conflict with hyperref package. If I load hyperref before glossaries in order to have links I cannot ...
9
votes
1answer
310 views

Incompatibilities with and alternatives to nath

I just discovered the existence of nath to auto-size mathematical expressions. But I also read that it has many incompatibilities and it also doesn't seem to be maintained anymore (last update was ...
6
votes
1answer
191 views

Incompatibility of the ocg-p package with the ocgcolorlinks option of the hyperref package

When I use the option ocgcolorlinks of the hyperref package together with the package ocg-p (MiKTeX + pdflatex), it looks like the ocgcolorlinks option becomes not working anymore (independently of ...
1
vote
0answers
75 views

Conflict between expl3.sty and breqn [duplicate]

I've encountered some problems using the breqn-package. I've allready read most of the topics on this forum about breqn but didn't find a solution. When I use the breqn-package, the log-file produces ...
2
votes
1answer
118 views

soul package does not work with user-defined language shorthands

Using \caps from the soul package with user-defined language shorthands generates an error. However, it works fine with language shorthands defined by babel itself, e.g. by using ...
8
votes
1answer
181 views

Incompatibility between amsrefs and memoir?

I am having trouble trying to use amsrefs together with the memoir class. Here is a minimal example: \documentclass{memoir} \usepackage{amsrefs} \begin{document} Some text. \end{document} LaTeX ...
9
votes
1answer
4k views

How to fix this amsmath warning about redefining \vec

I am using the pss(b) template, which starts with, \documentclass[pss]{wiley2sp} % provides pss two-column style \usepackage{amsmath} %\usepackage{bm} % uncomment these two packages if ...
2
votes
1answer
123 views

nath and biblatex incompatibility

I try to use nath and couldn't get it to work within my document. So I started to track down the error with a minimal and adding all packages that I use after and after. I saw that I can load every ...
8
votes
1answer
1k views

A problem with beamer, tikz and fonts

I am having a weird problem with beamer and tikz. The following MWE doesn't compile. Removing the \alert from the author line, or the \usepackage{tikz} or the math content in the frame is enough to ...
7
votes
1answer
324 views

Why do I need \newrefsegment when I already specify refsegment=section?

The following works well and shows exactly what I want. I am just wondering about this: Why do I have to use \newrefsegment, if I already specified refsegment=section? I expected everything to work ...
15
votes
1answer
246 views

What are best practices for package authors to deal with package conflicts?

One occasionally encountered problem with LaTeX is incompatibility between packages. What are best practices for package authors to deal with package conflicts? For example: What is the best way to ...
5
votes
2answers
186 views

Creating a dependency tree (\RequirePackage) for packages used in my document

Is there a way of creating a dependency tree for packages \RequirePackageing each other for those packages used in my document, ideally with the respective required options and version numbers? Are ...
0
votes
1answer
214 views

Problems shrinking margins with fncychap and memoir class

Hullo all. I am typing/editing a doc using the memoir class and Bjornstrup fancy chapter headings. Whenever I try to adjust [shrink] the margins using the geometry package, 'odd' things happen: the ...
3
votes
1answer
68 views

What to do when a package conflicts with a development version of another one?

I'm not sure about making this question here but I don't know where to do it. I'm using cvs version of TikZ and from time to time I found it incompatible with some other packages based on its ...
3
votes
1answer
539 views

ulem incompatibility with multiple entries in \cite

Consider the LaTeX code: \documentclass[aps,pre]{revtex4} \usepackage[normalem]{ulem} \begin{document} \sout{ asdas~\cite{a1989, b2001}. } \bibliographystyle{apsrev4-1} ...
1
vote
1answer
297 views

Numbered citations in Tufte-Latex 3.5

Tufte-LaTeX 3.5 (compiling with PDFTexify) I need to have my citations in the numbered format e.g. [1], [2], etc. I tried adding the following to the preamble \usepackage[numbers]{natbib} but get ...
16
votes
1answer
1k views

In which order should I load inputenc and fontenc?

When I’m using pdfLaTeX, my preamble usually contains \usepackage[utf8]{inputenc} and \usepackage[T1]{fontenc} Should these two be loaded in any particular order? What problems could arise if ...
4
votes
1answer
417 views

how to get the ws-procs9x6 document class to work with subcaption package?

I have a problem concerning the ws-procs9x6 document class furnished by a conference. I can't get it work with the caption & subcaption or even subfig packages to work with it, which is a problem ...
3
votes
1answer
960 views

Problem with algorithm(ic) and hyperref

The following code works ... fine! \documentclass{book} % \usepackage{subfig} % \usepackage{subcaption} \usepackage[colorlinks]{hyperref} \usepackage{algorithm} \usepackage[noend]{algorithmic} ...
4
votes
1answer
161 views

Clash between mhchem and breqn. Any way to dodge or fix?

The use of breqn causes the subscript numbers in chemical expressions, formatted by mhchem, to be exlargened and perhaps moved slightly making it look ugly. Is there a way to avoid this or should I ...
2
votes
0answers
190 views

Conflict between luatex-ja and fontspec [closed]

I am using LuaLaTeX to write my thesis, because LuaLaTeX has better compatibility. However, now I found that there seems to be conflict between the package luatex-ja (which provides neccessary CJK ...
3
votes
1answer
542 views

MinionPro conflicting with amssymb

I am using the package MinionPro. But I need some symbols, for example, \gnapprox and \mho, available on the package amssymb. Well, here is my code (as minimal as possible): \documentclass{report} ...
1
vote
1answer
429 views

Debugging TikZ and PGFPlots compatibility issue

I just tried to compile an old TikZ code (which as far as I recall compiled perfectly in the past and was not changed in the meanwhile) and I faced some serious compilation issues related to TikZ. ...
1
vote
1answer
906 views

Clash between TIKZ and French Babel [duplicate]

Possible Duplicate: tikz declare function and babel french option I'm working on a document requiring both tikz and [french]Babel. There is a clash between [french]Babel, and TIKZ: No ...
8
votes
1answer
179 views

Command Name Conflict

In my preamble I have a newcommand definition using the following syntax: \newcommand{\RN}{\bcR^{\bcN}} This command lets me print R^N in the sort of boldface I like. I've used this command without ...
1
vote
0answers
210 views

Conflict between TikZ package and memoir package - all packages updated [closed]

I am getting an error when I run memoir with the tikz package. I updated my TexLive distribution to the 2012 version so there should be no conflicting version problems. Memoir and tikz are both in ...
2
votes
1answer
260 views

Using both titlesec and fncychap in the same document

I have created my thesis using fncychap to customize the chapters. There are also chapters starred created using chapter*{}. I would add an hrule in those chapters. As the user mafp suggested me, it ...